This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 212958 - License agreement questions not translated
License agreement questions not translated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 06:34 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:52:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-10-30 06:34:31 EST
+++ This bug was initially created as a clone of Bug #176210 +++

firstboot-1.3.39-4

In some cases, the "Yes, I agree to the License Agreement" and "No, I do not
agree" are not translated properly.
Changing the i18n code at the top of modules/eula.py from:
import gettext
gettext.bindtextdomain ("firstboot", "/usr/share/locale")
gettext.textdomain ("firstboot")
_=gettext.gettext
to:
from rhpl.translate import _, N_
import rhpl.translate as translate
translate.textdomain ("firstboot")

As the other modules do fixes the issue.

-- Additional comment from clumens@redhat.com on 2006-02-09 14:19 EST --
Bouncing to redhat-release as that provides /usr/share/firstboot/modules.eula.py.
Comment 1 RHEL Product and Program Management 2006-10-30 06:40:23 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Dennis Gregorovic 2006-12-01 12:00:29 EST
fixed in redhat-release-4.92Server, redhat-release-4.92Client
Comment 6 RHEL Product and Program Management 2006-12-22 20:52:35 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.